package com.thinker.test.test5;
public class Test_5_4{
	
	/**
	 *
	 *	题目：
	 *		解释代码(n & (n-1) == 0)的具体意义。
	 *		答案：(n & (n-1) == 0) 成立说明n是2的某次方。
	 *
	 **/
	public static void main(String[] args){
		for(int i=1;i<10;i++){
			System.out.println(i+":"+go(i));
		}	
	}
	public static int go(int n){
		return (n & (n-1));
	}
}
